Loading...
Searching...
No Matches
TransverseMercatorProj.cpp File Reference

Command line utility for transverse Mercator projections. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/TransverseMercator.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "TransverseMercatorProj.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for transverse Mercator projections.

Copyright (c) Charles Karney (2008-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file TransverseMercatorProj.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 28 of file TransverseMercatorProj.cpp.

References GeographicLib::Math::AngNormalize(), GeographicLib::DMS::Decode(), GeographicLib::DMS::DecodeLatLon(), GeographicLib::Math::extra_digits(), GeographicLib::TransverseMercator::Forward(), GeographicLib::Utility::fract(), GeographicLib::DMS::LATITUDE, GeographicLib::TransverseMercator::Reverse(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), usage(), GeographicLib::Constants::UTM_k0(), GeographicLib::Utility::val(), GeographicLib::Constants::WGS84_a(), and GeographicLib::Constants::WGS84_f().